QGIS Application - Bug report #4582
Building trunk with MS vcexpress 2010: INSTALL fails
2011-11-30 03:19 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 14489
Description

Building a clean checkout of trunk in vcexpress 2010, with GRASS and QGIS mapserver support, INSTALL fails like this:

7> -- Up-to-date: C:/OSGeo4W/apps/qgis-dev/plugins/grassrasterprovider.dll

7> CMake Error at src/providers/grass/cmake_install.cmake:86 (FILE):

7> file INSTALL cannot find

7> "C:/OSGeo4W/building/Quantum-GIS.build/output/grass/modules/RelWithDeblnfo/qgis.d.rast.exe".
7> Call Stack (most recent call first):

7> src/providers/cmake_install.cmake:43 (INCLUDE)

7> src/cmake_install.cmake:37 (INCLUDE)

7> cmake_install.cmake:36 (INCLUDE)

I can work around this and subsequent errors if | manually change the "target name" of qgis.d.rast, qgis.g.browser and qgis.g.info from
"qgis" to "qgis.d.rast", "qgis.g.browser" and "qgis.g.info".

INSTALL then fails at qgis_mapserv.fcgi, and | can work around this by changing the "target name" from "qgis_mapserv" to
"qgis_mapserv.fcgi".

Install then fails like this:

8> CMake Error at python/plugins/GdalTools/tools/cmake_install.cmake:68 (FILE):

8> file INSTALL cannot find

8> "C:/OSGeo4W/building/Quantum-GIS.build/python/plugins/Gdal Tools/tools/ui_widgetProximity.py".
8> Call Stack (most recent call first):

8> python/plugins/GdalTools/cmake_install.cmake:40 (INCLUDE)

8> python/plugins/cmake_install.cmake:35 (INCLUDE)

8> python/cmake_install.cmake:176 (INCLUDE)

8> cmake_install.cmake:41 (INCLUDE)

| can get past this and subsequent errors by right-clicking on gdaltools_tools and doing "add>existing item" to add these files:
widgetTranslate.ui

widgetProximity.ui

widgetRasterize.ui

widgetSieve.ui

History

#1 - 2011-12-09 12:44 AM - Alister Hood

Note that this problem does not occur with vcexpress 2008.
Also, | don't recommend using vcexpress 2010, at least with the current OSGeo4W Python. It produces a qgis which works fine on 32 bit WinXP, but
crashes on 64 bit Windows 7. The crashes seem to be associated with Python.

#2 - 2012-09-04 11:56 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.8.0 to Version 2.0.0

#3 - 2014-06-28 07:41 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2014-06-28 10:27 AM - Jiirgen Fischer
- Status changed from Open to Closed

- Resolution set to worksforme

the 64bit version of ggis is built with ve2010. So this was probably meanwhile fixed.
